/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ukol.dotazy;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *
 * @author robot
 */
public class SeznamVydavatelu extends SQLAdapter {

    private final PreparedStatement statement;
    private final SQLAdapter publishers;

    public SeznamVydavatelu(Connection connection) throws SQLException {
        super("Seznam knih vydavatele ...");
        statement = connection.prepareStatement("SELECT t.title as \"Název Knihy\",t.copyright as Rok, t.isbn ISBN FROM titles t "
                + "WHERE t.publisherID = ? ORDER BY t.copyright desc,t.isbn");
        publishers = new VsichniVydavatele(connection);
    }

    @Override
    public ResultSet getResult() throws SQLException {
        ResultSet rs = publishers.getResult();
        rs.last();
        int numberOfRows = rs.getRow();
        int ids[] = new int[numberOfRows];
        String nazvy[] = new String[numberOfRows];


        for (int i = 0; i < numberOfRows; i++) {
            rs.absolute(i + 1);
            ids[i] = (int) rs.getInt("publisherID");
            nazvy[i] = rs.getString("publisherName");
        }
        Integer id = UI.select("Vyberte vydavatele", ids, nazvy);
        if (id == null) {
            id = -1;
        }
        statement.setInt(1, id);
        return statement.executeQuery();
    }
}
